/*!************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[0].use[2]!./node_modules/resolve-url-loader/index.js!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[0].use[4]!./theme/src/scss/page/contact.scss ***!
  \************************************************************************************************************************************************************************************************************************************************************************/
/*
 * WARN: THIS FILE SHOULD ONLY BE FILLED WITH SCSS-SPECIFIC VARIABLE OVERRIDES.
 *
 * This file will be imported for each page to help managing the styles. To help
 * make the styling slimmer, and lesser doubled styling for the same components,
 * actual CSSes should be imported only on the `_theme.scss` file only.
 */
/*
 * This specific file introduces new variable to the theme that are not actually
 * exists in the theme, such as new component and such.
 */
/*
 * Little context for the line height calculation. In the design spec, the line
 * height of each font is actually defined, this is why I, chez14, add the line
 * height to the this part as well.
 *
 * Since the unit that being used in the original design are in px, we need to
 * convert this to rem, to make it responsive. REM are actually defined in the
 * device settings, hence for people with visually challenged limitations, if
 * they set the font really big, our website's font big too.
 *
 * That being said, people said 1 rem usually set to 16px. Hence all pixels here
 * are calculated by dividing them to 16, then times 1rem to convert them to
 * rem.
 *
 * ==================================================
 *
 * Notes for "Why do you use Mixins". My reasoning is:
 * 1. There's a lot of pitfals for @extend that may cause alot of trouble. I.e.
 *    older browser support problem, source ordering problem, @extend chaining
 *    that causes problematic things, and more. Please check following
 *    StackOverflow discussion to learn more:
 *    https://stackoverflow.com/q/18008700.
 *
 * 2. By using Mixins, we can use the same stylesheets, and apply them to
 *    certain components, for example, the cards, without extending it.
 */
.header {
  margin-bottom: 2.25rem;
}
.header .section-title {
  color: var(--bs-primary-b);
  font-size: 0.875rem;
  font-weight: 700;
  text-transform: uppercase;
  margin-bottom: 0.5rem;
}

.img-wrapper img {
  width: 100%;
}

.address {
  display: flex;
  flex-direction: column;
  gap: 2.375rem;
}

.elegant-label {
  color: var(--bs-primary-b);
  font-size: 0.875rem;
  width: 100%;
}

.element-input {
  background: none;
  border: none;
  border-bottom: 1px solid var(--bs-body-color);
  margin-top: 1.5rem;
  margin-bottom: 2.625rem;
  width: 100%;
}
.element-input.text-area {
  height: 5rem;
}

@media (max-width: 576px) {
  .address {
    padding: 2rem 0;
  }
}
